AOZ Studio Beta - Bug #667

Multiple alerts in a row will only display the last in the AOZ Viewer.
02/16/2021 03:57 PM - Brian Flanagan

Status: Resolved Start date: 02/16/2021
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B10) u16

Affected version: 1.0.0 (B7)

Description

Related to Bug #662

Only the last alert called will be displayed.
{ alert('alert 1'); }

{ alert('alert 2'); }

{ alert('alert 3'); }

The above code will ONLY display 'alert 3', since processing continues instead of waiting for the user action.

History

#1 - 02/16/2021 04:08 PM - Brian Flanagan

- Subject changed from Two alerts in a row will only display the first in the AOZ Viewer. to Multiple alerts in a row will only display the last in the AOZ
Viewer.

#2 - 03/20/2021 02:24 PM - Brian Flanagan

- Assignee set to Baptiste Bideaux

Re-tested in 1.0.0 (B5) Still fails.

#3 - 03/22/2021 04:59 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B3) to 1.0.0 (B5)

#4 - 04/02/2021 02:19 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B5) to 1.0.0 (B7)

It's worse. Now, it doesn't work at all. Gets an Internal error.
Console errors:

atom.warn is not a function
raoz.js:1061 TypeError: atom.warn is not a function

at AOZView.window.warn (/Users/brian/AOZ_Studio/aoz/IDE/.atom/packages/aoz-studio/lib/aoz-studio-view.js:2
49)

at self.iframe.contentWindow.alert (/Users/brian/A0Z_Studio/aoz/IDE/.atom/packages/aoz-studio/lib/ui/aoz-v
iewer.js:843)

at Application.blocks.<computed> (VM14954 application.js:48)

at AOZ.runBlocks (VM14953 raoz.js:769)

at doUpdate (VM14953 raoz.js:443)
raoz.js:495 Internal error
at line: 1, column: 1 in file main.aoz.

#5 - 04/21/2021 08:06 AM - Brian Flanagan

Tried this again with 1.0.0 (B7) rev 4/20
It still fails entirely, but with a different error.

Instead of "not a function", it now gets an "lllegal invocation" error.

Related to bug #728
http://support.aoz.studio/issues/662
http://support.aoz.studio/issues/728

NOTE: It fails when in the AOZ Viewer.

In a web browser, it works properly, since it is using the normal browser alert box.

#6 - 09/06/2021 06:32 PM - Brian Flanagan
- Status changed from New to Resolved

- Target version set to 1.0.0 (B10) u16

Re-tested in 1.0.0 (B10) u16

Works!
